# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

%define api_version	1.0
%define lib_major	0
%define pkgname     atk

# Version of glib needed
%define req_glib2_version 2.5.7

%define lib_name %mklibname %{name}_ %{lib_major}
%define develname %mklibname -d %{name}

Name: %{pkgname}%{api_version}
Version: 1.24.0
Release: %mkrel 1
Summary: Accessibility features for Gtk+
License: LGPLv2+
Group: Accessibility
Url: http://developer.gnome.org/projects/gap/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%pkgname/%pkgname-%version.tar.bz2
Buildroot: %_tmppath/%name-%{version}-root
BuildRequires: libglib2-devel >= %{req_glib2_version}
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif


%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package common
Summary: Data files used by atk
Group: System/Libraries
Conflicts:  %{_lib}atk1.0_0 < 1.13.1-2mdv
# 64bit atk1.0-common conflicts with old 32bit lib as well -Anssi
Conflicts:  libatk1.0_0 < 1.13.1-2mdv

%description common
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

This package contains data used by atk library.

%package -n %{lib_name}
Summary: Accessibility features for Gtk+
Group: System/Libraries
Requires: common-licenses
Obsoletes:	%{pkgname} lib%{pkgname}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{lib_name}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n %{develname}
Summary: Stuff for developing with atk
Group: Development/C
Obsoletes:	%{pkgname}-devel lib%{pkgname}-devel
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	libglib2.0-devel >= %{req_glib2_version}
Conflicts:  libatk10-devel
Obsoletes: %mklibname -d %{name}_ 0

%description -n %develname
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q -n %{pkgname}-%{version}

%build

%configure2_5x \
	--enable-static \
%if %enable_gtkdoc
	--enable-gtk-doc
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{pkgname}10

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files common -f %{pkgname}10.lang
%defattr(-,root,root)
%doc README

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libatk-%{api_version}.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*




%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 1.24.0-1mdv2009.0
+ Revision: 286524
- new version

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 1.23.5-1mdv2009.0
+ Revision: 239327
- new version

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22.0-2mdv2009.0
+ Revision: 220465
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2008.1
+ Revision: 183403
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 1.21.92-1mdv2008.1
+ Revision: 174634
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2008.1
+ Revision: 151191
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.0
+ Revision: 88985
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1.19.6-1mdv2008.0
+ Revision: 56491
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.19.3-3mdv2008.0
+ Revision: 36140
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141738
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 118936
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdv2007.1
+ Revision: 111821
- new version

* Sat Jan 13 2007 Anssi Hannula <anssi@mandriva.org> 1.13.1-3mdv2007.1
+ Revision: 108174
- make atk1.0-common conflict old 32-bit libpkg on 64-bit as well

* Tue Jan 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.13.1-2mdv2007.1
+ Revision: 106620
- Fix libification

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.13.1-1mdv2007.1
+ Revision: 106043
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.13.0-1mdv2007.1
+ Revision: 105992
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.12.4-1mdv2007.1
+ Revision: 98484
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-3mdv2006.0
+ Revision: 63815
- rebuild
- rebuild
- Import atk1.0

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2007.0
- New version 1.12.3

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdv2007.0
- New release 1.12.2

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.12.1-1
- New release 1.12.1

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.11.4-1mdk
- Release 1.11.4

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-3mdk
- use mkrel

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-2mdk
- Rebuild for debug package

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.3-1mdk
- Release 1.10.3

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.10.1-1mdk
- make it rpmbuildupdatable
- new version

* Tue Mar 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- new version

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-1mdk
- bump glib dep
- drop patch 0
- new version

* Thu Oct 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk
- New release 1.8.0
- Patch0 (Fedora): fix Tamil translation

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-2mdk
- Enable libtoolize

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 1.6.1-1mdk
- New release 1.6.1

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> -1mdk
- Release 1.6.0 (with Gtz Waschk help)

